View Issue Details

IDProjectCategoryView StatusLast Update
0006013ScribusNLSpublic2016-12-08 21:41
Reporternadavkav Assigned ToFahad  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformlinuxOSdebianOS Versionsid unstable
Product Version1.3.3.10svn 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0006013: hebrew numbers are displaied backwards when text is displaied
Descriptionwriting hebrew text in the Story editor display number within hebrew text correctly, but when moving back to the Document's view... the numbers are mirrored.

de-pressing the "Right To Left Writing..." / "R" button in the properties dialog reverse the number and show them correctly BUT the hebrew text is backwords :-(
Steps To Reproducestart a simple empty text area box, get into Story edit, write some hebrew (rtl content) that include numbers (dates, quntities...) and press apply to go back to Document view.
then text should be displied correctly and numbers are displied backwards.
Additional Informationi've set QT (qtconfig) to support right to left widgets
Tags#please_test, fixed, HOST-Oman, RTL, scribusctl
PatchNo

Relationships

child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

Kunda

2016-03-23 13:00

manager   ~0039360

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558 [^]
There will be a build provided soon to test this fix OR one can build their branch manually.

Issue History

Date Modified Username Field Change
2007-07-21 13:20 nadavkav New Issue
2007-07-21 13:31 mhanski Relationship added child of 0003965
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-03-23 12:59 Kunda Patch => No
2016-03-23 12:59 Kunda Category Story Editor / Text Frames => NLS
2016-03-23 12:59 Kunda Tag Attached: #please_test
2016-03-23 12:59 Kunda Tag Attached: fixed
2016-03-23 12:59 Kunda Tag Attached: HOST-Oman
2016-03-23 12:59 Kunda Tag Attached: RTL
2016-03-23 13:00 Kunda Note Added: 0039360
2016-03-23 13:00 Kunda Status new => confirmed
2016-12-05 13:44 Kunda Tag Attached: scribusctl
2016-12-05 16:22 cbradney Assigned To => Fahad
2016-12-05 16:22 cbradney Status confirmed => resolved
2016-12-05 16:22 cbradney Resolution open => fixed
2016-12-05 16:22 cbradney Fixed in Version => 1.5.3.svn
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:41 cbradney Target Version => 1.5.3